﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TBS1032B: (1 year) VER VISA /9500+2Hd
DATE:                  2018-08-22 08:03:05
AUTHOR:                Fluke
REVISION:              $Revision: 25087 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       152
CONFIGURATION:         Datron 9500 (C5)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000B and TBS1000B-EDU Series Oscilloscopes
#      Specifications and Performance Verification
#      Technical Reference, PN 077-1025-01, Revision B.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         60MH                         1Vpp           LS    S
  1.004  M9500                       CH2
  1.005  9500         60MH                         1Vpp           LS    S
  1.006  ENDIF

  1.007  ASK-   R   Q N              P                                     V

  1.008  IF           NOT(VERSIONCHECK("8.0"))
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright
  1.012  CALL         Sub High Voltage Safety Warning
  1.013  CALL         Sub Select Failed Test Mode
  1.014  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.015  DISP         Ensure a minimum DUT warm-up time of at least
  1.015  DISP         10 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  HEAD         COMMUNICATION SETUP
  1.017  TARGET
  1.018  CALL         Sub Tek TBS1000B USB Remote Interface Connection
  1.019  VISA         *RST

  1.020  HEAD         DUT IDENTIFICATION
  1.021  MATH         @DUT_Model = "TBS 1032B"
  1.022  MATH         @DUT_Manufacturer = "Tektronix"
  1.023  CALL         Sub IEEE-488.2 *IDN? VISA
  1.024  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.025  JMPL         END                          @Abort

  1.026  CALL         Sub Tek TBS1000B/1000B-EDU Specifications

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.027  MATH         @IsMultiHead = 1
  1.028  CALL         Sub Tek TBS1000B/1000B-EDU Self-Test VISA
  1.029  JMPL         END                          @Abort
  1.030  CALL         Sub Tek TBS1000B/1000B-EDU Sig Path Comp Cal VISA
  1.031  JMPL         END                          @Abort

  1.032  MATH         @Chan = 1
  1.033  M9500                       CH1
  1.034  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) DCV Meas VISA /9500

  1.035  MATH         @Chan = 2
  1.036  M9500                       CH2
  1.037  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) DCV Meas VISA /9500

  1.038  MATH         @Chan = 1
  1.039  M9500                       CH1
  1.040  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) Bandwidth VISA /9500

  1.041  MATH         @Chan = 2
  1.042  M9500                       CH2
  1.043  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) Bandwidth VISA /9500

  1.044  MATH         @Chan = 1
  1.045  M9500                       CH1
  1.046  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) Trig Sens VISA /9500

  1.047  MATH         @Chan = 2
  1.048  M9500                       CH2
  1.049  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) Trig Sens VISA /9500
  1.050  JMPL         VERTICAL_POSITION

  1.051  LABEL        EXT_TRIG
  1.052  MATH         @Chan = 1
  1.053  M9500                       CH12
  1.054  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) ExTrig VISA /9500+2Hd

  1.055  MATH         @Chan = 2
  1.056  M9500                       CH12
  1.057  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) ExTrig VISA /9500+2Hd
  1.058  JMPL         END

  1.059  LABEL        SAMPLE_RATE_DELAY_TIME
  1.060  MATH         @Chan = 1
  1.061  M9500                       CH1
  1.062  CALL         Sub Tek TBS1000B (1 yr) Sample Rate VISA /9500
  1.063  JMPL         EXT_TRIG

  1.064  LABEL        VERTICAL_POSITION
  1.065  MATH         @Chan = 1
  1.066  M9500                       CH1
  1.067  CALL         Sub Tek TBS1000B (1 yr) Vertical Pos VISA /9500

  1.068  MATH         @Chan = 2
  1.069  M9500                       CH2
  1.070  CALL         Sub Tek TBS1000B (1 yr) Vertical Pos VISA /9500
  1.071  JMPL         SAMPLE_RATE_DELAY_TIME

  1.072  LABEL        END

  1.073  IF           @Abort
  1.074  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.075  ENDIF

  1.076  VISA         *RST
  1.077  END
